# Store Mobile Advertising Id

This endpoint stores the Mobile Advertising ID (GAID for Android or IDFA for iOS) for a new user in the system.\
By collecting this identifier, AdGate Media can:

* Exclude offers the user has already installed.
* Improve offer targeting to increase engagement and conversion rates.

**Method:** POST\
**Base URL:** [**https://api.adgatemedia.com/v1/user-based-api/store-maid**](https://api.adgatemedia.com/v1/user-based-api/store-maid)

### **Request Parameters**

| Parameter   | Description                                               | Type    | Required |
| ----------- | --------------------------------------------------------- | ------- | -------- |
| `aff_id`    | Your affiliate ID. Can be found on the Offers API page.   | Integer | Yes      |
| `api_key`   | Your API key. Can be found on the Offers API page.        | String  | Yes      |
| `wall_code` | Wall code that can be found on the AdGate Rewards page.   | String  | Yes      |
| `user_id`   | The affiliate's unique user ID (max length 255 bytes).    | String  | Yes      |
| `MAID`      | The device’s Mobile Advertising ID (GAID or IDFA).        | String  | Yes      |
| `type`      | The type of ID provided. Accepted values: `gaid`, `idfa`. | String  | Yes      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.prodegeads.com/publisher-apis/user-based-api-v1/store-mobile-advertising-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
